import { Component, OnInit } from '@angular/core';

import { Objekt } from '../objekt';
import { ObjektService } from '../objekt.service';
import { MessageService } from '../message.service';


@Component({
  selector: 'app-objekte',
  templateUrl: './objekte.component.html',
  styleUrls: ['./objekte.component.css']
})
export class ObjekteComponent implements OnInit {

  objekte: Objekt[];

  selectedObjekt : Objekt;

  constructor(private objektService: ObjektService, private messageService: MessageService) { }

  async getObjekte() {
    try {
      this.objekte = await this.objektService.getObjekte();
    } catch (err) {
      this.messageService.add(JSON.stringify(err, undefined, 4))
    }
  }

  ngOnInit(): void {
    this.getObjekte();
  }
}
